Subject: Re: [bug#45573] [PATCH] Correct freecad runtime errors
From: Leo Famulari <[email-masked]>
To: Ekaitz Zarraga <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Mon, 4 Jan 2021 15:12:29 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Jan 04, 2021 at 12:15:26PM +0000, Ekaitz Zarraga wrote:
> I think they are broken upstream.
> 
> When they are run during the guix compilation they report a circular
> dependency issue when loading but once the lib is installed i'm able to
> import it without issues.

Thanks for the info. I added it to a comment. It helps reviewers (and
later readers of the package definition) to include bits of info to help
understand why the package definition does something non-standard.

> I tried that and I was unable to solve it that way.
> I'm not a CMake expert but I think the problem is that even if CMake finds
> Coin3D, it's not taking it in account during the compilation, so it needs
> that patch to use it.

Okay.

> The only part that is affected by qtwebkit is the first screen of the
> program that shows some examples, links and news. So it's safe to remove
> but I'm not sure if the substitutes were unavailable because of this or
> because the compilation was failing (it have been broken for a long time).
> 
> I'm not sure about how to proceed here. I'm ok with a FreeCad that
> is open in a blank screen and shows a couple of warnings on load. I'll
> leave the decision of including this patch or not on you guys if you don't
> mind.

Now that I understand that the absence of QtWebKit breaks part of the
FreeCAD interface, I agree that it should be included.

I squashed the patches in a way that seemed appropriate, wrote the
commit messages, and pushed as ed2e0b1b50587a38ad26574585f73979874e56f0